Bug 1257296 - Gluster peer status and volume status incorrect
Gluster peer status and volume status incorrect
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.7.3
All All
medium Severity medium
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 13:31 EDT by Steve D
Modified: 2017-03-08 05:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-08 05:50:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gluster logs node1 (27.82 KB, application/x-gzip)
2015-09-02 16:33 EDT, Steve D
no flags Details
gluster logs node2 (32.61 KB, application/x-gzip)
2015-09-02 16:34 EDT, Steve D
no flags Details
gluster logs node3 (78.22 KB, application/x-gzip)
2015-09-02 16:34 EDT, Steve D
no flags Details

  None (edit)
Description Steve D 2015-08-26 13:31:46 EDT
Description of problem:
'gluster peer status' shows
State: Peer in Cluster (Connected)
when one host is inaccessible (network down)
&
'gluster volume info' shows online status of 'Y' for remote bricks.

Version-Release number of selected component (if applicable):
Gluster 3.7.3

How reproducible:
Always

Steps to Reproduce:
1. Create a replica 2 cluster, bring volumes online
2. run 'gluster peer status'
3. take one of the two hosts offline (disconnect network interfaces)
4. run 'gluster peer status' from either host
5. run 'gluster volume info'

Actual results:
State: Peer in Cluster (Connected)
&
Bricks on both nodes have an Online status of 'Y'.

Expected results:
State should be Peer in Cluster (Disconnected)
&
Bricks on both nodes should have an Online status of 'N' for the remote node's brick.
Comment 1 Atin Mukherjee 2015-08-27 02:26:25 EDT
Could you upload all glusterd log files?
Comment 2 Steve D 2015-09-02 16:33:48 EDT
Created attachment 1069586 [details]
gluster logs node1
Comment 3 Steve D 2015-09-02 16:34:06 EDT
Created attachment 1069587 [details]
gluster logs node2
Comment 4 Steve D 2015-09-02 16:34:27 EDT
Created attachment 1069588 [details]
gluster logs node3
Comment 5 Steve D 2015-09-02 16:38:20 EDT
Logs attached.

At ~13:27 PST (20:27 UTC) I took down node3 (10.0.231.52) network interface.

After about a minute node1 reports:

# gluster peer status
Number of Peers: 2

Hostname: 10.0.231.61
Uuid: 3ae42ed6-bf0a-4592-b96d-f799220781a9
State: Peer in Cluster (Connected)

Hostname: 10.0.231.52
Uuid: e5c2488b-69b3-419a-8ec3-210a3fc149e5
State: Peer in Cluster (Connected)
[root@compute1 mnt]# cd /var/log/glusterfs/

node2 reports:

# gluster peer status
Number of Peers: 2

Hostname: 10.0.231.60
Uuid: ba1f9caa-17a2-4484-a668-d63537defd2f
State: Peer in Cluster (Connected)

Hostname: 10.0.231.52
Uuid: e5c2488b-69b3-419a-8ec3-210a3fc149e5
State: Peer in Cluster (Connected)

node 3 reports:

# gluster peer status
Number of Peers: 2

Hostname: 10.0.231.61
Uuid: 3ae42ed6-bf0a-4592-b96d-f799220781a9
State: Peer in Cluster (Disconnected)

Hostname: 10.0.231.60
Uuid: ba1f9caa-17a2-4484-a668-d63537defd2f
State: Peer in Cluster (Disconnected)
Comment 6 Kaushal 2017-03-08 05:50:07 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.